#!/bin/sh

POSTFIX_SH="${MAIL_SERVER_PKG}/target/scripts/daemon/postfix.sh"
DOVECOT_SH="${MAIL_SERVER_PKG}/target/scripts/daemon/dovecot.sh"

reload_postfix()
{
	/var/packages/MailServer/target/scripts/PostfixDaemon.sh restart
}

reload_dovecot()
{
	pidof dovecot && /var/packages/MailServer/target/scripts/DovecotDaemon.sh restart
}

case "$1" in
	postfix)
		reload_postfix
		;;
	dovecot)
		reload_dovecot
		;;
	*)
		echo "Usage: $0 {postfix|dovecot}" >&2
		exit 1
		;;
esac
