#!/bin/sh

SASLAUTHD=/var/packages/MailServer/target/sbin/saslauthd
POSTFIX=/var/packages/MailServer/target/sbin/postfix

PackagePath="/var/packages/MailServer"
MailServerConf="$PackagePath/etc/mailserver.conf"


NOTIFIER_D=/var/packages/MailServer/target/sbin/syno_mailserver_notifierd
NOTIFIER_D_PID=/var/run/syno_mailserver_notifierd.pid

start() {
	echo "Starting Maillog Daemon..."
	initctl start pkg-MailServer_mailloggerd

	echo "Starting SASLAuthd..."
	$SASLAUTHD -a pam

	${NOTIFIER_D}

	echo "Starting Postfix..."
	$POSTFIX start
}

stop() {
	saslauthd_pid=/var/run/saslauthd/saslauthd.pid
	if [ -f $saslauthd_pid ]; then
		echo "Stopping SASLAuthd..."
		kill `cat $saslauthd_pid`
	fi
	echo "Stopping Postfix..."
	$POSTFIX stop

    echo "Stop Log Daemon..."
	initctl stop pkg-MailServer_mailloggerd

    kill `cat ${NOTIFIER_D_PID}`
}

restart() {

	echo "Reload Postfix..."
	$POSTFIX reload

	kill -HUP `cat ${NOTIFIER_D_PID}`
}

case "$1" in
	start)
		start
		;;
	stop)
		stop
		;;
	restart)
		restart
		;;
	*)
		echo "Usage: $0 {start|stop|reload}" >&2
		exit 1
		;;
esac

exit 0
